Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.session
Class SynchronizedTaskService

    java.lang.Object
      org.jbpm.session.SynchronizedTaskService

All Implemented Interfaces:
  TaskService

    public class SynchronizedTaskService

extends Object
implements TaskService

Constructor Summary
`SynchronizedTaskService(org.drools.persistence.SingleSessionCommandService ksession, TaskService taskService)`

Method Summary
`void` | `activate(long arg0, String arg1)`
`void` | `addAttachment(long arg0, Attachment arg1, Content arg2)`
`void` | `addComment(long arg0, Comment arg1)`
`void` | `addTask(Task arg0, ContentData arg1)`
`void` | `claim(long arg0, String arg1)`
`void` | `claim(long arg0, String arg1, List<String> arg2)`
`void` | `claimNextAvailable(String arg0, List<String> arg1, String arg2)`
`void` | `claimNextAvailable(String arg0, String arg1)`
`void` | `complete(long arg0, String arg1, ContentData arg2)`
`void` | `completeWithResults(long arg0, String arg1, Object arg2)`
`boolean` | `connect()`
`boolean` | `connect(String arg0, int arg1)`
`void` | `delegate(long arg0, String arg1, String arg2)`
`void` | `deleteAttachment(long arg0, long arg1, long arg2)`
`void` | `deleteComment(long arg0, long arg1)`
`void` | `deleteFault(long arg0, String arg1)`
`void` | `deleteOutput(long arg0, String arg1)`
`void` | `disconnect()`
`void` | `exit(long arg0, String arg1)`
`void` | `fail(long arg0, String arg1, FaultData arg2)`
`void` | `forward(long arg0, String arg1, String arg2)`
`Content` | `getContent(long arg0)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long arg0, String arg1, String arg2)`
`List<TaskSummary>` | `getSubTasksByParent(long arg0)`
`Task` | `getTask(long arg0)`
`Task` | `getTaskByWorkItemId(long arg0)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String arg0, String arg1)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String arg0, String arg1)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String arg0, List<String> arg1, String arg2)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String arg0, List<String> arg1, String arg2, int arg3, int arg4)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String arg0, String arg1)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String arg0, List<Status> arg1, String arg2)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String arg0, List<String> arg1, List<Status> arg2, String arg3)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String arg0, String arg1)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String arg0, String arg1)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String arg0, String arg1)`
`List<Long>` | `getTasksByProcessInstanceId(long arg0)`
`List<TaskSummary>` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksOwned(String arg0, List<Status> arg1, String arg2)`
`List<TaskSummary>` | `getTasksOwned(String arg0, String arg1)`
`void` | `nominate(long arg0, String arg1, List<OrganizationalEntity> arg2)`
`List<?>` | `query(String arg0, Integer arg1, Integer arg2)` This method allows the user to exercise the query of his/her choice.
`void` | `register(long arg0, String arg1)`
`void` | `registerForEvent(EventKey arg0, boolean arg1, EventResponseHandler arg2)` This method registers for an event key a handler to notify the task life cycle events
`void` | `release(long arg0, String arg1)`
`void` | `remove(long arg0, String arg1)`
`void` | `resume(long arg0, String arg1)`
`void` | `setDocumentContent(long arg0, Content arg1)`
`void` | `setFault(long arg0, String arg1, FaultData arg2)`
`void` | `setOutput(long arg0, String arg1, ContentData arg2)`
`void` | `setPriority(long arg0, String arg1, int arg2)`
`void` | `skip(long arg0, String arg1)`
`void` | `start(long arg0, String arg1)`
`void` | `stop(long arg0, String arg1)`
`void` | `suspend(long arg0, String arg1)`
`void` | `unregisterForEvent(EventKey arg0)` This method removes all the handlers associated with an EventKey

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedTaskService

    public SynchronizedTaskService(org.drools.persistence.SingleSessionCommandService ksession,
                                   TaskService taskService)

Method Detail

### activate

    public void activate(long arg0,
                         String arg1)

  Specified by:
    `activate` in interface `TaskService`

### addAttachment

    public void addAttachment(long arg0,
                              Attachment arg1,
                              Content arg2)

  Specified by:
    `addAttachment` in interface `TaskService`

### addComment

    public void addComment(long arg0,
                           Comment arg1)

  Specified by:
    `addComment` in interface `TaskService`

### addTask

    public void addTask(Task arg0,
                        ContentData arg1)

  Specified by:
    `addTask` in interface `TaskService`

### claim

    public void claim(long arg0,
                      String arg1)

  Specified by:
    `claim` in interface `TaskService`

### claim

    public void claim(long arg0,
                      String arg1,
                      List<String> arg2)

  Specified by:
    `claim` in interface `TaskService`

### claimNextAvailable

    public void claimNextAvailable(String arg0,
                                   String arg1)

  Specified by:
    `claimNextAvailable` in interface `TaskService`

### claimNextAvailable

    public void claimNextAvailable(String arg0,
                                   List<String> arg1,
                                   String arg2)

  Specified by:
    `claimNextAvailable` in interface `TaskService`

### complete

    public void complete(long arg0,
                         String arg1,
                         ContentData arg2)

  Specified by:
    `complete` in interface `TaskService`

### completeWithResults

    public void completeWithResults(long arg0,
                                    String arg1,
                                    Object arg2)

  Specified by:
    `completeWithResults` in interface `TaskService`

### connect

    public boolean connect()

  Specified by:
    `connect` in interface `TaskService`

### connect

    public boolean connect(String arg0,
                           int arg1)

  Specified by:
    `connect` in interface `TaskService`

### delegate

    public void delegate(long arg0,
                         String arg1,
                         String arg2)

  Specified by:
    `delegate` in interface `TaskService`

### deleteAttachment

    public void deleteAttachment(long arg0,
                                 long arg1,
                                 long arg2)

  Specified by:
    `deleteAttachment` in interface `TaskService`

### deleteComment

    public void deleteComment(long arg0,
                              long arg1)

  Specified by:
    `deleteComment` in interface `TaskService`

### deleteFault

    public void deleteFault(long arg0,
                            String arg1)

  Specified by:
    `deleteFault` in interface `TaskService`

### deleteOutput

    public void deleteOutput(long arg0,
                             String arg1)

  Specified by:
    `deleteOutput` in interface `TaskService`

### disconnect

    public void disconnect()
                    throws Exception

  Specified by:
    `disconnect` in interface `TaskService`
  Throws:
    `Exception`

### exit

    public void exit(long arg0,
                     String arg1)

  Specified by:
    `exit` in interface `TaskService`

### fail

    public void fail(long arg0,
                     String arg1,
                     FaultData arg2)

  Specified by:
    `fail` in interface `TaskService`

### forward

    public void forward(long arg0,
                        String arg1,
                        String arg2)

  Specified by:
    `forward` in interface `TaskService`

### getContent

    public Content getContent(long arg0)

  Specified by:
    `getContent` in interface `TaskService`

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long arg0,
                                                                 String arg1,
                                                                 String arg2)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `TaskService`

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long arg0)

  Specified by:
    `getSubTasksByParent` in interface `TaskService`

### getTask

    public Task getTask(long arg0)

  Specified by:
    `getTask` in interface `TaskService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long arg0)

  Specified by:
    `getTaskByWorkItemId` in interface `TaskService`

### getTasksByProcessInstanceId

    public List<Long> getTasksByProcessInstanceId(long arg0)

  Specified by:
    `getTasksByProcessInstanceId` in interface `TaskService`

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String arg0,
                                                                     String arg1)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `TaskService`

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String arg0,
                                                             String arg1)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String arg0,
                                                              String arg1)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String arg0,
                                                              List<String> arg1,
                                                              String arg2)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String arg0,
                                                              List<String> arg1,
                                                              String arg2,
                                                              int arg3,
                                                              int arg4)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String arg0,
                                                                      List<Status> arg1,
                                                                      String arg2)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String arg0,
                                                                             List<String> arg1,
                                                                             List<Status> arg2,
                                                                             String arg3)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `TaskService`

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String arg0,
                                                         String arg1)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `TaskService`

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String arg0,
                                                             String arg1)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `TaskService`

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String arg0,
                                                               String arg1)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `TaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String arg0,
                                           String arg1)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String arg0,
                                           List<Status> arg1,
                                           String arg2)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### nominate

    public void nominate(long arg0,
                         String arg1,
                         List<OrganizationalEntity> arg2)

  Specified by:
    `nominate` in interface `TaskService`

### query

    public List<?> query(String arg0,
                         Integer arg1,
                         Integer arg2)

  Description copied from interface: `TaskService`
  This method allows the user to exercise the query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Specified by:
    `query` in interface `TaskService`
  Parameters:
    `arg0` - The query string.
    `arg1` - Maximum number of results to return.
    `arg2` - The offset from the beginning of the result list determining the first result.
  Returns:
    The result of the query.

### register

    public void register(long arg0,
                         String arg1)

  Specified by:
    `register` in interface `TaskService`

### registerForEvent

    public void registerForEvent(EventKey arg0,
                                 boolean arg1,
                                 EventResponseHandler arg2)

  Description copied from interface: `TaskService`
  This method registers for an event key a handler to notify the task life cycle events

  Specified by:
    `registerForEvent` in interface `TaskService`
    `arg1` - The remove boolean is used to remove the handler after firing a notification

### release

    public void release(long arg0,
                        String arg1)

  Specified by:
    `release` in interface `TaskService`

### remove

    public void remove(long arg0,
                       String arg1)

  Specified by:
    `remove` in interface `TaskService`

### resume

    public void resume(long arg0,
                       String arg1)

  Specified by:
    `resume` in interface `TaskService`

### setDocumentContent

    public void setDocumentContent(long arg0,
                                   Content arg1)

  Specified by:
    `setDocumentContent` in interface `TaskService`

### setFault

    public void setFault(long arg0,
                         String arg1,
                         FaultData arg2)

  Specified by:
    `setFault` in interface `TaskService`

### setOutput

    public void setOutput(long arg0,
                          String arg1,
                          ContentData arg2)

  Specified by:
    `setOutput` in interface `TaskService`

### setPriority

    public void setPriority(long arg0,
                            String arg1,
                            int arg2)

  Specified by:
    `setPriority` in interface `TaskService`

### skip

    public void skip(long arg0,
                     String arg1)

  Specified by:
    `skip` in interface `TaskService`

### start

    public void start(long arg0,
                      String arg1)

  Specified by:
    `start` in interface `TaskService`

### stop

    public void stop(long arg0,
                     String arg1)

  Specified by:
    `stop` in interface `TaskService`

### suspend

    public void suspend(long arg0,
                        String arg1)

  Specified by:
    `suspend` in interface `TaskService`

### unregisterForEvent

    public void unregisterForEvent(EventKey arg0)

  Description copied from interface: `TaskService`
  This method removes all the handlers associated with an EventKey

  Specified by:
    `unregisterForEvent` in interface `TaskService`

### getTasksByStatusByProcessId

    public List<TaskSummary> getTasksByStatusByProcessId(long processInstanceId,
                                                         List<Status> status,
                                                         String language)

  Specified by:
    `getTasksByStatusByProcessId` in interface `TaskService`

### getTasksByStatusByProcessIdByTaskName

    public List<TaskSummary> getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                                                   List<Status> status,
                                                                   String taskName,
                                                                   String language)

  Specified by:
    `getTasksByStatusByProcessIdByTaskName` in interface `TaskService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.